Status: Closed Start date: 04/18/2015
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Development Environment Estimated time: 0.50 hour
Target version: *nix Spent time: 0.50 hour
Description

Building

e To get a package build just type

bitbake foo

where foo is the name of the package without any extension or version number.

Clean up

* This command will clean up your tmp dir for the given package. It is very useful if you work on a new .bb recipe. Without it your
changes to the recipe may not work:

bitbake -c clean foo

Working with tmp/work

e To recompile your source code if you change a line in it.
bitbake -f -c compile foo
* To build the ipk use the command below
bitbake foo
e Check Recipe Version
bitbake -s | grep foo
e Check Bitbake Version
bitbake --version
* Run Bitbake A Little at a Time

bitbake -n foo

o Lists the tasks
bitbake -c taskname foo

Resources

e http://www.openembedded.org/wiki/Bitbake cheat sheet

History

#1 - 04/19/2015 07:04 PM - Daniel Curtis
- % Done changed from 0 to 100

#2 - 04/19/2015 07:05 PM - Daniel Curtis

- Status changed from New to Resolved

#3 - 04/19/2015 07:10 PM - Daniel Curtis

- Status changed from Resolved to Closed
